@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@200;400;600&display=swap');

:root {
    --red: hsl(0, 78%, 62%);
    --cyan: hsl(180, 62%, 55%);
    --orange: hsl(34, 97%, 64%);
    --blue: hsl(212, 86%, 64%);
    --veryDarkBlue: hsl(234, 12%, 34%);
    --grayishBlue: hsl(229, 6%, 66%);
    --veryLightGray: hsl(0, 0%, 98%);
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

body {
    background: var(--veryLightGray);
    color: var(--grayishBlue);
    font-family: 'Poppins', sans-serif;
}

#app {
    height: 1360px;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding-top: 83px;
}

h1,
h2,
.detail {
    text-align: center;
}

h1,
h2,
h3 {
    color: var(--veryDarkBlue);
}

h1,
h2 {
    font-size: 24.2px;
}

h1 {
    font-weight: 200;
}

h2 {
    margin-top: 1px;
    font-weight: 600;
}

.detail {
    width: clamp(200px, 505px, 80%);
    margin-top: 16px;
    font-size: 15.1px;
    line-height: 25px;
}

.cards {
    margin-top: 75px;
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    justify-content: center;
    gap: 23.5px;
}

.middle-cards {
    display: grid;
    gap: 23.5px;
}

.card {
    height: 222.4px;
    width: 310px;
    border-radius: 8px;
    padding: 26px 27px 0;
    box-shadow: 0 10px 20px hsl(212, 86%, 64%, .2);
}

.cyan {
    background: linear-gradient(var(--cyan), var(--cyan) 4.3px, white 4.3px, white 100%);
}

.red {
    background: linear-gradient(var(--red), var(--red) 4.3px, white 4.3px, white 100%);
}

.orange {
    background: linear-gradient(var(--orange), var(--orange) 4.3px, white 4.3px, white 100%);
}

.blue {
    background: linear-gradient(var(--blue), var(--blue) 4.3px, white 4.3px, white 100%);
}

h3 {
    font-size: 20px;
}

.card p {
    margin-top: 3px;
    font-size: 13.3px;
    line-height: 23px;
}

.card img {
    position: relative;
    bottom: -32px;
    right: -198px;
}

footer {
    margin-top: 30px;
}

.attribution {
    font-size: 15px;
    text-align: center;
}

.attribution a {
    color: hsl(228, 45%, 44%);
}

@media only screen and (min-width: 376px) {
    #app {
        height: 922px;
        padding: 78px 10px 0;
    }

    h1,
    h2 {
        font-size: 36.4px;
    }

    h2 {
        margin-top: -4px;
    }

    .detail {
        margin-top: 15px
    }

    .cards {
        margin-top: 63px;
        gap: 29.5px;
    }

    .middle-cards {
        gap: 29.5px;
    }

    .card {
        height: 250px;
        width: 350px;
        padding: 31px 32px 0;
    }

    h3 {
        font-size: 19.75px;
    }

    .card p {
        margin-top: 8px;
        line-height: 23px;
        font-size: 13.15px;
    }

    .card img {
        height: 64px;
        width: 64px;
        bottom: -39px;
        right: -222px;
    }

    footer {
        margin-top: 50px;
    }
}